Loading...
Searching...
No Matches
gtsam::Chebyshev2Basis Struct Reference

## Detailed Description

Basis of Chebyshev polynomials of the second kind.

https://en.wikipedia.org/wiki/Chebyshev_polynomials#Second_kind These are typically denoted with the symbol U_n, where n is the degree. The parameter N is the number of coefficients, i.e., N = n+1. In contrast to the templates in Chebyshev2, the classes below specify basis functions, weighted combinations of which are used to approximate functions. In this sense, they are like the sines and cosines of the Fourier basis.

Inheritance diagram for gtsam::Chebyshev2Basis:

## Static Public Member Functions

static Weights | CalculateWeights (size_t N, double x, double a=-1, double b=1)
| Evaluate Chebyshev Weights on [-1,1] at any x up to order N-1 (N values).
static Weights | DerivativeWeights (size_t N, double x, double a=-1, double b=1)
| Evaluate Chebyshev derivative at x.
Static Public Member Functions inherited from gtsam::Basis< Chebyshev2Basis >
static Matrix | WeightMatrix (size_t N, const Vector &X)
| Calculate weights for all x in vector X.

## Public Types

using | Parameters = Eigen::Matrix<double, -1, 1 >

## Member Function Documentation

## CalculateWeights()

Weights gtsam::Chebyshev2Basis::CalculateWeights | ( | size_t | N,
|  | double | x,
|  | double | a = -1,
|  | double | b = 1 )

static

Evaluate Chebyshev Weights on [-1,1] at any x up to order N-1 (N values).

Parameters

  N | Degree of the polynomial.
  x | Point to evaluate polynomial at.
  a | Lower limit of polynomial (default=-1).
  b | Upper limit of polynomial (default=1).

## DerivativeWeights()

Weights gtsam::Chebyshev2Basis::DerivativeWeights | ( | size_t | N,
|  | double | x,
|  | double | a = -1,
|  | double | b = 1 )

static

Evaluate Chebyshev derivative at x.

Parameters

  N | Degree of the polynomial.
  x | Point to evaluate polynomial at.
  a | Lower limit of polynomial (default=-1).
  b | Upper limit of polynomial (default=1).

Returns
  Weights

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Chebyshev.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Chebyshev.cpp